## com.saxonica.sdoc
Class XMLNamespaceSchema

    java.lang.Object
      com.saxonica.sdoc.XMLNamespaceSchema

    public class XMLNamespaceSchema

extends java.lang.Object

This module constructs synthetically (that is, without reading an XML schema document) the schema components for the XML namespace

Constructor Summary
`XMLNamespaceSchema()`

Method Summary
`static PreparedSchema` `buildSchema(SchemaAwareConfiguration config)` Build the schema components for the XML namespace

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLNamespaceSchema

    public XMLNamespaceSchema()

Method Detail

### buildSchema

    public static PreparedSchema buildSchema(SchemaAwareConfiguration config)

  Build the schema components for the XML namespace

  Parameters:
    `config` - the Saxon configuration
  Returns:
    a PreparedSchema containing the schema components for the XML namespace

Copyright (c) Saxonica Limited. All rights reserved.